Update statement attachment
Updates the properties (name, description) of an existing statement attachment. File content cannot be changed.
The ID of the statement to which the attachment belongs.
The ID of the attachment to update.
Represents an attachment associated with a billing statement in the system.
Name of the attachment.
raw records dataRepresents the type of billing attachment.
Represents the name of the file associated with the attachment.
invoice.pdfIndicates the size of the file in bytes.
102400Represents the MIME type of the file content.
application/pdfProvides a description of the attachment.
Invoice for March 2025Indicates whether the attachment has been marked as deleted.
falseThe unique identifier of the attachment.
STA-1234-1234OK
Represents an attachment associated with a billing statement in the system.
Name of the attachment.
raw records dataRepresents the type of billing attachment.
Represents the name of the file associated with the attachment.
invoice.pdfIndicates the size of the file in bytes.
102400Represents the MIME type of the file content.
application/pdfProvides a description of the attachment.
Invoice for March 2025Indicates whether the attachment has been marked as deleted.
falseThe unique identifier of the attachment.
STA-1234-1234Forbidden
Not Found
PUT /public/v1/billing/statements/{statementId}/attachments/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 514
{
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"name": "raw records data",
"type": "Input",
"filename": "invoice.pdf",
"size": 102400,
"contentType": "application/pdf",
"description": "Invoice for March 2025",
"isDeleted": false,
"id": "STA-1234-1234",
"statement": {
"revision": 1,
"id": "SOM-1234-1234-1234-1234-1234"
}
}{
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"name": "raw records data",
"type": "Input",
"filename": "invoice.pdf",
"size": 102400,
"contentType": "application/pdf",
"description": "Invoice for March 2025",
"isDeleted": false,
"id": "STA-1234-1234",
"statement": {
"revision": 1,
"id": "SOM-1234-1234-1234-1234-1234"
}
}Last updated
Was this helpful?